define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"<span class=\"secnum\">1.1 </span> About These Release Notes",
                    "href":"index.html#HTMRN-GUID-540B73CB-08A7-4422-B6BF-CC785EC47694"
                },
                {
                    "title":"<span class=\"secnum\">2.1 </span> Before You Begin",
                    "href":"index.html#HTMRN-GUID-27393A86-EEBE-4923-A61C-6E4F334D566D",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2.1.1 </span> Oracle Database Requirement",
                            "href":"index.html#HTMRN-GUID-175AC460-3BCB-4871-A14C-5A232EDF8CAD"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.2 </span> About Release Numbering Conventions",
                            "href":"index.html#HTMRN-GUID-54D7AD46-0359-40D0-AAD8-E1811F56E446"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.3 </span> About Checking for the Most Current Release",
                            "href":"index.html#HTMRN-GUID-7598F76C-3C26-42B7-9F2E-342DE6877E1A"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.4 </span> About Upgrading to the Latest Oracle Application Express Release",
                            "href":"index.html#HTMRN-GUID-95A96E09-691C-4858-8B59-4042199B9E88"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.5 </span> About Determining Your Release Version",
                            "href":"index.html#HTMRN-GUID-A94C601D-23A9-4BCE-811D-80A542C76A03"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.6 </span> Important Information if Updating from a Release Prior to 19.1",
                            "href":"index.html#HTMRN-GUID-E4353E38-3250-4304-8982-F6D4A7887227"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.7 </span> Important Information if Upgrading from Oracle Database Version 12c CDB",
                            "href":"index.html#HTMRN-GUID-AF48D015-9CBE-4B0D-9153-39E671386088"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3.1 </span> Configuration Requirements",
                    "href":"index.html#HTMRN-GUID-DD608345-AA0E-4AE3-8253-204E13D4E176"
                },
                {
                    "title":"<span class=\"secnum\">4.1 </span> New Features",
                    "href":"index.html#HTMRN-GUID-D6D545CB-3ECD-468A-9E7F-8CC09F7F478B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">4.1.1 </span> New JavaScript APIs",
                            "href":"index.html#HTMRN-GUID-9D3CA38B-3FDA-446E-9D73-15D141F09394"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.2 </span> Universal Theme",
                            "href":"index.html#HTMRN-GUID-6CFF2E68-0D2B-4D9F-A8D7-85873209D5B8"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.3 </span> Faceted Search",
                            "href":"index.html#HTMRN-GUID-C061FD57-9E4F-4280-A134-CD80016E9874"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.4 </span> New Team Development",
                            "href":"index.html#HTMRN-GUID-AE60ED3B-5D26-47F3-BDBB-679D21B7E6CB"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.5 </span> Interactive Grid Support of External Data Sources",
                            "href":"index.html#HTMRN-GUID-D6EFED91-7CFB-4439-B9C3-FB83B1B6C471"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.6 </span> Data Loading into Existing Tables",
                            "href":"index.html#HTMRN-GUID-6CF98529-6DBB-4C32-A177-6FF9273D9B6A"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.7 </span> Specify Default Debug Level from Runtime Developer Toolbar",
                            "href":"index.html#HTMRN-GUID-4D06146C-834A-4E44-904D-566E3B69DE18"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.8 </span> Report Supplemental Text Attribute",
                            "href":"index.html#HTMRN-GUID-D72B1608-EAE4-4E68-8E98-5E10C78442B8"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.9 </span> Enhanced Application Logo",
                            "href":"index.html#HTMRN-GUID-AF02817D-2736-4ED0-9304-B1F11D96DDAA"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.10 </span> Expanded Shared LOVs",
                            "href":"index.html#HTMRN-GUID-EF9CCF08-FEA1-4DC1-90AD-869E089FC1BF"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.11 </span> Enhanced Popup LOV",
                            "href":"index.html#HTMRN-GUID-5F7ACB3A-E337-4099-AA18-B8394DC40508"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.12 </span> Oracle JET and jQuery Library Updates",
                            "href":"index.html#HTMRN-GUID-D1915738-4EEB-42A0-99B0-4C7FAD4CA174"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.13 </span> Interactive Report supports Oracle Text indexes",
                            "href":"index.html#HTMRN-GUID-1CEC5382-3745-44AE-894E-87F2CF1F4E05"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.14 </span> Interactive Report, Interactive Grid and Popup LOV searches can be passed to a REST service",
                            "href":"index.html#HTMRN-GUID-AC045B74-D32A-41C2-A3A2-BBC0DB1CD05D"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.15 </span> Clob Column support in SQL Workshop Data Loading and the APEX_DATA_PARSER package",
                            "href":"index.html#HTMRN-GUID-26998347-93B6-4DD7-808A-E1FC7B91E5BD"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.16 </span> Debug Level in Runtime Developer Toolbar",
                            "href":"index.html#HTMRN-GUID-9D0B3299-1463-465F-BE91-0877CAB49D9C"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.17 </span> New Callout and Popup Template Option APIs",
                            "href":"index.html#HTMRN-GUID-801202D3-2367-4587-B69F-EB366BA7DEC7"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5.1 </span> Changed Behavior",
                    "href":"index.html#HTMRN-GUID-0F34A43F-A2B7-4D06-AA39-839396676C26",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">5.1.1 </span> Browser Requirements",
                            "href":"index.html#HTMRN-GUID-6E817104-6C58-4FA8-861D-F884AA3369B0"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.2 </span> Compatibility Mode",
                            "href":"index.html#HTMRN-GUID-712BE54F-08CD-43A3-A645-87B9360ED516"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.3 </span> Enabling Network Services in Oracle Database 11g or Later",
                            "href":"index.html#HTMRN-GUID-8D125731-989A-4A51-AFFE-00181729F87F",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">5.1.3.1 </span> When and Why Network Services Must be Enabled",
                                    "href":"index.html#HTMRN-GUID-DEA26C53-0220-40F1-86FB-482163CA5681"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.1.3.2 </span> Granting Connect Privileges Prior to Oracle Database 12 <span class=\"italic\">c </span>",
                                    "href":"index.html#HTMRN-GUID-E50853EC-0BE9-4E04-A7D0-AF8E4106A470"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.1.3.3 </span> Granting Connect Privileges in Oracle Database 12 <span class=\"italic\">c </span> or Later",
                                    "href":"index.html#HTMRN-GUID-CA19B8DF-B210-46FC-BC3A-F0DC76AE5625"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.1.3.4 </span> Troubleshooting an Invalid ACL Error",
                                    "href":"index.html#HTMRN-GUID-C795F54B-D05F-4463-8424-052FD4C1CE52"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.4 </span> Removed Sample Files from Oracle Forms Migrations utility",
                            "href":"index.html#HTMRN-GUID-4ED5AA0D-9686-49B3-B3C7-B082DE1BC443"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.5 </span> APEX_INSTANCE_ADMIN_USER is locked after a new installation",
                            "href":"index.html#HTMRN-GUID-41343EEF-6343-463F-9A25-864D273BE547"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.6 </span> Statistics Tab in Object Browser",
                            "href":"index.html#HTMRN-GUID-4056CB5C-82AF-4E5A-84EF-495AC14A8C8E"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.7 </span> Popup LOV item getValue API returns array",
                            "href":"index.html#HTMRN-GUID-C77883B6-01DC-4864-A3B7-8F5DAFEC2B3F"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.8 </span> Internal Engine Changes for List of Values",
                            "href":"index.html#HTMRN-GUID-7E820117-3C25-404D-88D8-B675C9519063"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.9 </span> JET binding provider",
                            "href":"index.html#HTMRN-GUID-9958D60E-93FA-4858-BC71-929922D437A3"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.10 </span> Edit multiple properties in Property Editor",
                            "href":"index.html#HTMRN-GUID-EE385DB8-6D7D-4924-B16A-6FCC1F44AD2D"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.11 </span> Switch item type changed",
                            "href":"index.html#HTMRN-GUID-482271F3-5CEC-4A1A-85F5-D67A0CE0A338"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.12 </span> FontAwesome migrated to Font APEX",
                            "href":"index.html#HTMRN-GUID-FDE683C5-B2AB-4A0E-9D17-33DE4F99CC27"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6.1 </span> Deprecated Features",
                    "href":"index.html#HTMRN-GUID-657FF369-756E-4F31-96F9-B2D92C3DE084",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">6.1.1 </span> Deprecated Productivity Apps",
                            "href":"index.html#HTMRN-GUID-17D53AD4-8C3B-4428-BD3D-713F4A5C4EF3"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.2 </span> Deprecated Sample Apps",
                            "href":"index.html#HTMRN-GUID-B6BD67A4-999E-452C-BBAD-FDE23D977F42"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.3 </span> Post Calculation for Page Items Deprecated",
                            "href":"index.html#HTMRN-GUID-9EB2681D-0DD3-4CA6-AD8F-8EB276EE2581"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.4 </span> Show / Hide All Page Items On Same Line attributes deprecated",
                            "href":"index.html#HTMRN-GUID-B4A888B4-AAFB-4556-8958-9644981301FC"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.5 </span> apexrefresh Event is Deprecated",
                            "href":"index.html#HTMRN-GUID-56522912-5B1C-488D-8D75-B73A8CC29F2D"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.6 </span> Legacy Team Development Deprecated",
                            "href":"index.html#HTMRN-GUID-FDA28EB6-82DC-49BB-B3D5-989711930A43"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.7 </span> AnyChart, AnyMap, and AnyGantt charts Deprecated",
                            "href":"index.html#HTMRN-GUID-4252CE2B-A584-494D-A47C-918E2E2DC50E"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.8 </span> Calendar PDF Printing Deprecated",
                            "href":"index.html#HTMRN-GUID-D733B9DA-3A0E-478E-89DE-80C296C63E0D"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.9 </span> apex.server Plug-in and Process Function Async Option Deprecated",
                            "href":"index.html#HTMRN-GUID-8BA18416-7E1B-4ADB-BB02-3A2ECE1CA437"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.10 </span> apex.widget.initPageItem Function Deprecated",
                            "href":"index.html#HTMRN-GUID-2782A575-CB40-45FE-9D92-F79A0E8C9DB1"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.11 </span> APEX_ERROR.GET_ARIA_ERROR_ATTRIBUTES Deprecated",
                            "href":"index.html#HTMRN-GUID-B247F1D3-CCDD-4E66-92AF-5F69C2C243AB"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.12 </span> APEX_UTIL.STRING_TO_TABLE Function Deprecated",
                            "href":"index.html#HTMRN-GUID-6709BB89-9E72-46DF-B6DB-B28E6F81827F"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.13 </span> APEX_UTIL.TABLE_TO_STRING Function Deprecated",
                            "href":"index.html#HTMRN-GUID-ABE4A449-842F-439F-B340-DBD623E67F69"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.14 </span> Deprecated JavaScript Functions",
                            "href":"index.html#HTMRN-GUID-31E36B88-0128-40FD-99AF-C3826546FF5D"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.15 </span> Popup LOV Template Deprecated",
                            "href":"index.html#HTMRN-GUID-A78EFC23-6112-4FA7-BDBC-453FE3B217AD"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.16 </span> APEX_PAGE.IS_JQM_SMARTPHONE_UI is Deprecated",
                            "href":"index.html#HTMRN-GUID-8E908B75-F7C4-42CD-90B1-5CD0420475B6"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.17 </span> openModal and closeModal are Deprecated",
                            "href":"index.html#HTMRN-GUID-216EF074-6E0C-4CCC-BC39-AFECE3674305"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.18 </span> afterModify is Deprecated",
                            "href":"index.html#HTMRN-GUID-636614BD-9AF6-4738-9D09-D2077D8541F9"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.19 </span> apex.page.confirm pMessage Parameter is Deprecated",
                            "href":"index.html#HTMRN-GUID-322E4127-E702-4B38-BD97-32882CA84A8B"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.20 </span> apex.navigation.dialog.fireCloseHandler function is Deprecated",
                            "href":"index.html#HTMRN-GUID-C2C28782-2812-43CD-B85D-533B0ED02D27"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7.1 </span> Desupported Features",
                    "href":"index.html#HTMRN-GUID-CC4B5D70-22FD-45CA-8F6F-C34A91F1B5BD",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">7.1.1 </span> jQuery Flot and Flot Plug-ins Desupported",
                            "href":"index.html#HTMRN-GUID-B37C2FA8-B1C2-4CF8-98BF-754A81E0E529"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.2 </span> External Processing in Classic Report Desupported",
                            "href":"index.html#HTMRN-GUID-AC6E5794-5B5C-401A-90B9-C8B7131CAFFF"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.3 </span> Oracle REST Data Services (ORDS)-based Printing Desupported",
                            "href":"index.html#HTMRN-GUID-A7400F11-3C2B-4391-901A-1782C21335C4"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">8.1 </span> Fixed Bugs",
                    "href":"index.html#HTMRN-GUID-32C4974D-FBCE-4B23-A72D-934E4248C78C"
                },
                {
                    "title":"<span class=\"secnum\">9.1 </span> Open Bugs and Known Issues",
                    "href":"index.html#HTMRN-GUID-5E3BE2CB-71E8-4B01-AD72-9E8BB4927785",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">9.1.1 </span> Removal of AnyChart Flash Components from Images Folder",
                            "href":"index.html#HTMRN-GUID-34980CC2-71D2-42DB-80C6-593E6814A330"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.2 </span> Width issue for item type Text with Autocomplete in IE11",
                            "href":"index.html#HTMRN-GUID-A54A3053-7491-49F7-B373-6F1C9D2D9ECB"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.3 </span> Known Issues for jQuery UI and jQuery Upgrade",
                            "href":"index.html#HTMRN-GUID-6265BFAE-380D-4246-BDFC-01D877D6721A"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.4 </span> Known Issues for RESTful Services and Oracle REST Data Services (ORDS)",
                            "href":"index.html#HTMRN-GUID-B9DCE54C-C0E3-44FE-A8DE-8B9BB8382450",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">9.1.4.1 </span> Issue when Workspace Name Differs From First Provisioned Schema Name",
                                    "href":"index.html#HTMRN-GUID-E11AE7D2-2944-47BB-A086-EFC7B9A02785"
                                },
                                {
                                    "title":"<span class=\"secnum\">9.1.4.2 </span> Issue when Migrating Application Express RESTful Services with a Null URI to ORDS",
                                    "href":"index.html#HTMRN-GUID-7A2B1E58-1185-4BC6-ACA7-A324170F292F"
                                },
                                {
                                    "title":"<span class=\"secnum\">9.1.4.3 </span> Issue when Using SQL Developer or SQL Scripts to Enable ORDS on an Application Express 18.1 or later Schema",
                                    "href":"index.html#HTMRN-GUID-B08BCCD3-20FD-4E9C-90B3-997A6CE5ED2A"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.5 </span> Interactive Grid support for REST Enabled SQL",
                            "href":"index.html#HTMRN-GUID-D70DD30C-E641-4416-8534-06E577866C31"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.6 </span> Omitted JavaScript APIs",
                            "href":"index.html#HTMRN-GUID-58FB9175-04C0-4237-A346-520FD14E4E5C"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.7 </span> Legacy Team Development Workspace Attribute Issue",
                            "href":"index.html#HTMRN-GUID-0A85A5D4-C500-4EC5-9E35-457AC1B8FAB4"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">10.1 </span> Documentation Additions",
                    "href":"index.html#HTMRN-GUID-92B08337-3A73-4B36-A8FD-A9FAD8D6DB4B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">10.1.1 </span> Oracle Application Express JavaScript API Reference",
                            "href":"index.html#HTMRN-GUID-9ADDDB30-F718-491F-A299-10FBB5D18BAC"
                        },
                        {
                            "title":"<span class=\"secnum\">10.1.2 </span> Oracle Application Express JavaScript API",
                            "href":"index.html#HTMRN-GUID-052DD773-2528-43D0-A8C2-61403706449B"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">11.1 </span> Documentation Accessibility",
                    "href":"index.html#HTMRN-GUID-E409CC44-9A8F-4043-82C8-6B95CD939296"
                },
                {
                    "title":"<span class=\"secnum\">12.1 </span> Privacy Notice",
                    "href":"index.html#HTMRN-GUID-604D24CA-34BE-4DD6-9278-B6BD9E9C0DAA"
                }
            ]
        }
    ]
});